Qwt User's Guide: QwtRichTextEngine Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtRichTextEngine Class Reference

A text engine for Qt rich texts. More...

`#include <qwt_text_engine.h>`

Inheritance diagram for QwtRichTextEngine:

## Public Member Functions
| QwtRichTextEngine ()
| Constructor.
virtual double | heightForWidth (const QFont &font, int flags, const QString &text, double width) const override
virtual QSizeF | textSize (const QFont &font, int flags, const QString &text) const override
virtual void | draw (QPainter *, const QRectF &rect, int flags, const QString &text) const override
virtual bool | mightRender (const QString &) const override
virtual void | textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const override
Public Member Functions inherited from QwtTextEngine
virtual | ~QwtTextEngine ()
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from QwtTextEngine
| QwtTextEngine ()
| Constructor.

## Detailed Description

A text engine for Qt rich texts.

QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

Definition at line 147 of file qwt_text_engine.h.

## Constructor & Destructor Documentation

## ◆ QwtRichTextEngine()

QwtRichTextEngine::QwtRichTextEngine | ( |  | ) |

Constructor.

Definition at line 248 of file qwt_text_engine.cpp.

## Member Function Documentation

## ◆ draw()

void QwtRichTextEngine::draw | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | int | flags,
|  | const QString & | text ) const
| overridevirtual

Draw the text in a clipping rectangle

Parameters

  painter | Painter
  rect | Clipping rectangle
  flags | Bitwise OR of the flags like in for QPainter::drawText()
  text | Text to be rendered

Implements QwtTextEngine.

Definition at line 305 of file qwt_text_engine.cpp.

## ◆ heightForWidth()

double QwtRichTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | double | width ) const
| overridevirtual

Find the height for a given width

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText()
  text | Text to be rendered
  width | Width

Returns
  Calculated height

Implements QwtTextEngine.

Definition at line 262 of file qwt_text_engine.cpp.

## ◆ mightRender()

bool QwtRichTextEngine::mightRender | ( | const QString & | text | ) | const
| overridevirtual

Test if a string can be rendered by this text engine

Parameters

  text | Text to be tested

Returns
  Qt::mightBeRichText(text);

Implements QwtTextEngine.

Definition at line 331 of file qwt_text_engine.cpp.

## ◆ textMargins()

void QwtRichTextEngine::textMargins | ( | const QFont & | ,
|  | const QString & | ,
|  | double & | left,
|  | double & | right,
|  | double & | top,
|  | double & | bottom ) const
| overridevirtual

Return margins around the texts

Parameters

  left | Return 0
  right | Return 0
  top | Return 0
  bottom | Return 0

Implements QwtTextEngine.

Definition at line 344 of file qwt_text_engine.cpp.

## ◆ textSize()

QSizeF QwtRichTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text ) const
| overridevirtual

Returns the size, that is needed to render text

Parameters

  font | Font of the text
  flags | Bitwise OR of the flags used like in QPainter::drawText()
  text | Text to be rendered

Returns
  Calculated size

Implements QwtTextEngine.

Definition at line 281 of file qwt_text_engine.cpp.